{% extends 'base.html' %}


{% block content %}
<div class="row">
    <div class="col-lg-12 pb-3 border-bottom">
        <div class="col-lg-12 text-center ">
            <legend class="text-muted">Last post</legend>
        </div>
        {% if post[0] %}
        <div class="col-lg-12 clearfix">
            <dl>
                <dt><h1>{{ post[0].title }} <b class="text-danger">
                    <a onclick="like({{ post[0].id }})" href="#"><span
                            class="like text-danger fa {% if post[0].like == '<3' %}fa-heart{% else %}fa-heart-o{% endif %}"></span></a>
                </b></h1></dt>
                <dd>{{ post[0].text }}</dd>
            </dl>
            <form action="{{ url('update') }}" method="get">
                <button class="btn btn-secondary btn-block">Update</button>
                <input type="hidden" value="{{ post[0].id }}" name="id">
            </form>
        </div>
        {% else %}
        <h1 class="text-center">No posts yet :(</h1>
        {% endif %}
    </div>
</div>

<script>
    let like_class = $('.like');

    function like(post_id) {
        $.ajax({
            url: '/ajax_like',
            method: 'post',
            data: {
                'post_id': post_id,
            },
            success: function (data) {
                let action_type = data.action_type;
                if (action_type === '<3') {
                    like_class.removeClass('fa-heart-o').addClass('fa-heart')
                } else {
                    like_class.removeClass('fa-heart').addClass('fa-heart-o')
                }
            }
        })
    }
</script>
{% endblock %}